﻿@model List<BusStops>
@{
    ViewData["Title"] = "Home Page";
}
<script>
    var ListeArretBus = @Html.Raw(Json.Serialize(@Model.ToArray()));
</script>
<script src="~/lib/jquery/dist/jquery.min.js"></script>
<script>
    var baseURL = "@ViewData["BaseURL"]";
    let waitForResult = false;
    $("#switchMap").change(function () {
        if (!waitForResult) {
            waitForResult = true;
            let map = $(this).prop("checked") ? "OpenStreetMap" : "GoogleMaps";
            $.ajax({
                url: baseURL + "/api/map/defaultMap/" + map,
                type: 'POST',
                success: function (result) {
                    document.location.reload();
                },
                error: function (result) {

                },
                complete: function () {
                    waitForResult = false;
                }
            });
        };
    });
</script>

@{ 
    if (ViewBag.map == null || ViewBag.map == "GoogleMaps")
    {
        Html.RenderPartial("~/Views/Home/maps/googlemaps.cshtml");
    } else
    {
        Html.RenderPartial("~/Views/Home/maps/openstreetmap.cshtml");
    }
}